Delete data dashboard¶
Delete the specified data dashboard and its configuration. This operation is irreversible.
DELETE https://api.moi.matrixorigin.cn/v5/data-dashboards/{dashboard_id}
Preparation before calling¶
Prepare a personal access token and target workspace ID that has access to the target workspace.
The example below uses:
$AI_STUDIO_API_KEY: The actual personal access token, passed through theX-API-KeyHeader.$WORKSPACE_ID: Target workspace ID, passed throughX-Workspace-IDHeader.$DASHBOARD_ID:dashboard_idto use, specifying the target resource via the request path.
Call example¶
curl -X DELETE "https://api.moi.matrixorigin.cn/v5/data-dashboards/$DASHBOARD_ID" \
-H "X-API-Key: $AI_STUDIO_API_KEY" \
-H "X-Workspace-ID: $WORKSPACE_ID"
Path parameters¶
Parameters |
Type |
Is it required |
Description |
|---|---|---|---|
|
string |
Yes |
Data dashboard ID. |
Successful response¶
When the deletion is successful, data.deleted in the response is true.
{
"code": "OK",
"msg": "OK",
"data": {"deleted": true}
}
The response fields are as follows.
Field |
Type |
Description |
|---|---|---|
|
boolean |
Whether it has been deleted. |
Error response¶
This example corresponds to HTTP 404.
codestring- Error code, such as ErrParamInvalid or ErrDataDashboardNotFound.
msgstring- HTTP status text, such as Bad Request or Not Found.
{
"code": "ErrDataDashboardNotFound",
"msg": "Not Found"
}
Last updated on